> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Search service providers

GET https://api.filesearch.dev/v2/datasets/odyssey/service-providers/search

Search for service providers such as law firms, accounting firms, and consultants.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/service-providers/service-providers-search

## Request

### Query parameters

- `q` (string, required) — Search query
- `provider_type` (string, optional, nullable) — Provider type (law, accounting, consulting)
- `limit` (integer, optional, default: 10)

## Response

### 200

Successful Response

- `query` (string, optional)
- `provider_type` (string, optional, nullable)
- `results` (list of OdysseyServiceProvidersSearchResponseResultsItems, optional)
- `total` (integer, optional)
- `limit` (integer, optional)

## Types

### OdysseyServiceProvidersSearchResponseResultsItems

- `entity_id` (string, optional, nullable)
- `display_name` (string, optional)
- `industry` (string, optional)
- `industry_v2` (string, optional)
- `website` (string, optional)
- `employee_count` (integer, optional)
- `founded` (string, optional)
- `location` (OdysseyServiceProvidersSearchResponseResultsItemsLocation, optional)
- `linkedin_url` (string, optional)
- `description` (string, optional)
- `source` (string, optional)
- `enrichment_data` (OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentData, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsLocation

- `name` (string, optional)
- `locality` (string, optional)
- `country` (string, optional)
- `region` (string, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentData

- `linkedin_shorthand_name` (string, optional)
- `hq_region` (list of string, optional)
- `company_logo_url` (string, optional)
- `unique_domain` (boolean, optional)
- `description_enriched` (string, optional)
- `num_news_articles` (integer, optional)
- `website_domain` (string, optional)
- `type` (string, optional)
- `linkedin_followers_count_by_month` (list of OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataLinkedinFollowersCountByMonthItems, optional)
- `is_b2b` (integer, optional)
- `company_logo` (string, optional)
- `hq_state` (string, optional)
- `followers_count_linkedin` (integer, optional)
- `alternative_domains` (list of string, optional)
- `employee_count` (integer, optional)
- `categories_and_keywords` (list of string, optional)
- `hq_location` (string, optional)
- `industry_v2` (string, optional)
- `hq_city` (string, optional)
- `active_job_postings_count_change` (OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataActiveJobPostingsCountChange, optional)
- `display_name` (string, optional)
- `tags` (list of string, optional)
- `company_name_alias` (list of string, optional)
- `website_alias` (list of string, optional)
- `pricing_available` (boolean, optional)
- `size` (string, optional)
- `last_updated_at` (string, optional)
- `company_name` (string, optional)
- `is_downloadable` (boolean, optional)
- `linkedin_followers_count_change` (OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataLinkedinFollowersCountChange, optional)
- `name` (string, optional)
- `company_locations_full` (list of OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataCompanyLocationsFullItems, optional)
- `size_range` (string, optional)
- `linkedin_url` (string, optional)
- `unique_website` (boolean, optional)
- `hq_country_iso2` (string, optional)
- `company_emails` (list of string, optional)
- `description_metadata_raw` (string, optional)
- `hq_country_iso3` (string, optional)
- `employees_count_change` (OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataEmployeesCountChange, optional)
- `free_trial_available` (boolean, optional)
- `funding_details` (list of any, optional)
- `created_at` (string, optional)
- `description` (string, optional)
- `employees_count_by_month` (list of OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataEmployeesCountByMonthItems, optional)
- `industry` (string, optional)
- `alternative_names` (list of string, optional)
- `hq_full_address` (string, optional)
- `demo_available` (boolean, optional)
- `hq_country` (string, optional)
- `founded_year` (string, optional)
- `top_next_companies` (list of OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataTopNextCompaniesItems, optional)
- `canonical_linkedin_url` (string, optional)
- `headline` (string, optional)
- `expired_domain` (boolean, optional)
- `summary` (string, optional)
- `website` (string, optional)
- `canonical_linkedin_shorthand_name` (string, optional)
- `active_job_postings_count` (integer, optional)
- `documentation_exist` (boolean, optional)
- `employee_count_by_month` (list of OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataEmployeeCountByMonthItems, optional)
- `founded` (string, optional)
- `company_phone_numbers` (list of string, optional)
- `website_url` (string, optional)
- `is_public` (boolean, optional)
- `location` (OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataLocation, optional)
- `mobile_apps_exist` (boolean, optional)
- `online_reviews_exist` (boolean, optional)
- `employees_count` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataLinkedinFollowersCountByMonthItems

- `date` (string, optional)
- `follower_count` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataActiveJobPostingsCountChange

- `current` (integer, optional)
- `change_yearly` (integer, optional)
- `change_monthly` (integer, optional)
- `change_quarterly` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataLinkedinFollowersCountChange

- `current` (integer, optional)
- `change_quarterly` (integer, optional)
- `change_yearly_percentage` (integer, optional)
- `change_quarterly_percentage` (integer, optional)
- `change_monthly_percentage` (integer, optional)
- `change_yearly` (integer, optional)
- `change_monthly` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataCompanyLocationsFullItems

- `location_address` (string, optional)
- `is_primary` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataEmployeesCountChange

- `current` (integer, optional)
- `change_quarterly` (integer, optional)
- `change_yearly_percentage` (integer, optional)
- `change_quarterly_percentage` (integer, optional)
- `change_monthly_percentage` (integer, optional)
- `change_yearly` (integer, optional)
- `change_monthly` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataEmployeesCountByMonthItems

- `date` (string, optional)
- `employees_count` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataTopNextCompaniesItems

- `count` (integer, optional)
- `company_name` (string, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataEmployeeCountByMonthItems

- `date` (string, optional)
- `employees_count` (integer, optional)

### OdysseyServiceProvidersSearchResponseResultsItemsEnrichmentDataLocation

- `name` (string, optional)
- `locality` (string, optional)
- `country` (string, optional)
- `region` (string, optional)

## Examples

**Response**

```json
{
  "query": "credit",
  "provider_type": null,
  "results": [
    {
      "entity_id": null,
      "display_name": "Credit",
      "industry": "Financial Services",
      "industry_v2": "Financial Services",
      "website": "credit.com",
      "employee_count": 4,
      "founded": "2010",
      "location": {
        "name": "Passatge de Casanovas, 10; Barcelona, Catalonia 08025, ES",
        "locality": "Barcelona",
        "country": "Spain",
        "region": "Catalonia"
      },
      "linkedin_url": "https://www.linkedin.com/company/credit-house",
      "description": "20 años en el sector nos avalan. ¡Estudiamos tu caso!",
      "source": "enrichment",
      "enrichment_data": {
        "linkedin_shorthand_name": "credit-house",
        "hq_region": [
          "Europe",
          "Southern Europe"
        ],
        "company_logo_url": "https://media.licdn.com/dms/image/v2/D4D0BAQFUKW9TBzgnoA/company-logo_200_200/B4DZmK8MybIEAI-/0/1758972661458?e=2147483647&v=beta&t=YmZXLyv73Wi0QNnz1hAp6ZMVRCMu_d0vWhYgKHWhiMc",
        "unique_domain": false,
        "description_enriched": "Credit House is a company with over 20 years of experience in the banking sector. They have helped clients find the best mortgage solutions and have been in the industry for over 20 years. They work to help their clients achieve the best mortgage solutions for their clients.",
        "num_news_articles": 0,
        "website_domain": "credit.com",
        "type": "Privately Held",
        "linkedin_followers_count_by_month": [
          {
            "date": "2026-05-11",
            "follower_count": 4
          },
          {
            "date": "2026-04-24",
            "follower_count": 4
          }
        ],
        "is_b2b": 0,
        "company_logo": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAMCAgMCAgMDAwMEAwMEBQgFBQQEBQoHBwYIDAoMDAsKCwsNDhIQDQ4RDgsLEBYQERMUFRUVDA8XGBYUGBIUFRT/2wBDAQMEBAUEBQkFBQkUDQsNFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBQUFBT/wAARCAAyADIDASIAAhEBAxEB/8QAHwAAAQUBAQEBAQEAAAAAAAAAAAECAwQFBgcICQoL/8QAtRAAAgEDAwIEAwUFBAQAAAF9AQIDAAQRBRIhMUEGE1FhByJxFDKBkaEII0KxwRVS0fAkM2JyggkKFhcYGRolJicoKSo0NTY3ODk6Q0RFRkdISUpTVFVWV1hZWmNkZWZnaGlqc3R1dnd4eXqDhIWGh4iJipKTlJWWl5iZmqKjpKWmp6ipqrKztLW2t7i5usLDxMXGx8jJytLT1NXW19jZ2uHi4+Tl5ufo6erx8vP09fb3+Pn6/8QAHwEAAwEBAQEBAQEBAQAAAAAAAAECAwQFBgcICQoL/8QAtREAAgECBAQDBAcFBAQAAQJ3AAEC …",
        "hq_state": "Catalonia",
        "followers_count_linkedin": 4,
        "alternative_domains": [
          "https://www.credit.com"
        ],
        "employee_count": 4,
        "categories_and_keywords": [
          "finance",
          "clients"
        ],
        "hq_location": "Barcelona, Catalonia, Spain",
        "industry_v2": "Financial Services",
        "hq_city": "Barcelona",
        "active_job_postings_count_change": {
          "current": 0,
          "change_yearly": 0,
          "change_monthly": 0,
          "change_quarterly": 0
        },
        "display_name": "Credit",
        "tags": [
          "finance",
          "clients"
        ],
        "company_name_alias": [
          "credit"
        ],
        "website_alias": [
          "https://www.credit.com"
        ],
        "pricing_available": false,
        "size": "1-10 employees",
        "last_updated_at": "2026-05-24",
        "company_name": "Credit",
        "is_downloadable": false,
        "linkedin_followers_count_change": {
          "current": 4,
          "change_quarterly": 0,
          "change_yearly_percentage": -20,
          "change_quarterly_percentage": 0,
          "change_monthly_percentage": 0,
          "change_yearly": -1,
          "change_monthly": 0
        },
        "name": "Credit",
        "company_locations_full": [
          {
            "location_address": "Passatge de Casanovas, 10; Barcelona, Catalonia 08025, ES",
            "is_primary": 1
          },
          {
            "is_primary": 0
          }
        ],
        "size_range": "1-10 employees",
        "linkedin_url": "https://www.linkedin.com/company/credit-house",
        "unique_website": false,
        "hq_country_iso2": "ES",
        "company_emails": [
          "info@credit-house.es"
        ],
        "description_metadata_raw": "Más de 20 años de experiencia. Gracias a nuestra amplia experiencia en el sector bancario conseguimos tu hipoteca con las mejores condiciones posibles. 20 años",
        "hq_country_iso3": "ESP",
        "employees_count_change": {
          "current": 4,
          "change_quarterly": 0,
          "change_yearly_percentage": -20,
          "change_quarterly_percentage": 0,
          "change_monthly_percentage": 0,
          "change_yearly": -1,
          "change_monthly": 0
        },
        "free_trial_available": false,
        "funding_details": [],
        "created_at": "2023-03-17",
        "description": "20 años en el sector nos avalan. ¡Estudiamos tu caso!",
        "employees_count_by_month": [
          {
            "date": "2026-05-11",
            "employees_count": 4
          },
          {
            "date": "2026-04-24",
            "employees_count": 4
          }
        ],
        "industry": "Financial Services",
        "alternative_names": [
          "credit"
        ],
        "hq_full_address": "Passatge de Casanovas, 10; Barcelona, Catalonia 08025, ES",
        "demo_available": false,
        "hq_country": "Spain",
        "founded_year": "2010",
        "top_next_companies": [
          {
            "count": 1,
            "company_name": "Nascimento Imóveis"
          }
        ],
        "canonical_linkedin_url": "https://es.linkedin.com/company/credit-house",
        "headline": "20 años en el sector nos avalan. ¡Estudiamos tu caso!",
        "expired_domain": false,
        "summary": "20 años en el sector nos avalan. ¡Estudiamos tu caso!",
        "website": "credit.com",
        "canonical_linkedin_shorthand_name": "credit-house",
        "active_job_postings_count": 0,
        "documentation_exist": false,
        "employee_count_by_month": [
          {
            "date": "2026-05-11",
            "employees_count": 4
          },
          {
            "date": "2026-04-24",
            "employees_count": 4
          }
        ],
        "founded": "2010",
        "company_phone_numbers": [
          "93 754 10 14",
          "693 453 900"
        ],
        "website_url": "https://www.credit.com",
        "is_public": false,
        "location": {
          "name": "Passatge de Casanovas, 10; Barcelona, Catalonia 08025, ES",
          "locality": "Barcelona",
          "country": "Spain",
          "region": "Catalonia"
        },
        "mobile_apps_exist": false,
        "online_reviews_exist": false,
        "employees_count": 4
      }
    }
  ],
  "total": 1,
  "limit": 10
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/service-providers/search",
    headers=headers,
    params={"q": "credit"},
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/service-providers/search?q=credit`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```